"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CachedManager = void 0;
const collection_1 = require("@discordjs/collection");
/**
 * Manages API methods of a data model
 */
class CachedManager {
    constructor(client, holds) {
        /**
         * The cache of items for this manager
         */
        this._cache = new collection_1.Collection();
        this.client = client;
        this._holds = holds;
    }
    /**
     * The cache of users
     */
    get cache() {
        return this._cache;
    }
    /**
     * Resolves an id or instance into an instance
     * @param idOrInstance Id of the instance or the instance itself
     */
    resolve(idOrInstance) {
        if (idOrInstance instanceof this._holds)
            return idOrInstance;
        if (typeof idOrInstance === "string") {
            return this._cache.get(idOrInstance) ?? null;
        }
        return null;
    }
    /**
     * Resolves an id or instance into an id
     * @param idOrInstance Id of the instance of the instance itself
     */
    resolveId(idOrInstance) {
        if (idOrInstance instanceof this._holds)
            return idOrInstance.id;
        if (typeof idOrInstance === "string")
            return idOrInstance;
        return null;
    }
}
exports.CachedManager = CachedManager;
//# sourceMappingURL=CachedManager.js.map