import { Base } from "../structures/Base";
import { Client } from "../client/Client";
import { Collection } from "@discordjs/collection";
declare type DataStructure = new (client: Client, payload: any, ...extra: any[]) => Base<any>;
/**
 * Manages API methods of a data model
 */
export declare class CachedManager<T extends DataStructure> {
    /**
     * The client this manager is attached to
     */
    readonly client: Client;
    /**
     * The cache of items for this manager
     */
    private readonly _cache;
    /**
     * The data structure belonging to this manager
     */
    protected readonly _holds: T;
    constructor(client: Client, holds: T);
    /**
     * The cache of users
     */
    get cache(): Collection<string, InstanceType<T>>;
    /**
     * Resolves an id or instance into an instance
     * @param idOrInstance Id of the instance or the instance itself
     */
    resolve(idOrInstance: string | InstanceType<T>): InstanceType<T> | null;
    /**
     * Resolves an id or instance into an id
     * @param idOrInstance Id of the instance of the instance itself
     */
    resolveId(idOrInstance: string | InstanceType<T>): string | null;
}
export {};
//# sourceMappingURL=CachedManager.d.ts.map