import { APIBan } from "@ifunny/ifunny-api-types";
import { Base } from "./Base";
import { Client } from "../client/Client";
import { User } from "./User";
/**
 * Represents a Ban on iFunny
 */
export declare class Ban extends Base<APIBan> {
    /**
     * User the Ban belongs to
     */
    private readonly _user;
    /**
     * @param client The Client instance
     * @param user User or Id of the user that the ban belongs to
     * @param id Id of the ban itself
     * @param payload Payload of the ban if applicable
     */
    constructor(client: Client, user: User, payload: APIBan);
    /**
     * Timestamp (in seconds) of when it expires
     */
    get expiresAtTimestamp(): number | null;
    /**
     * Date object of when the ban expires
     */
    get expiresAt(): Date | null;
    /**
     * How long (in seconds) until the ban expires
     */
    get expiresInTimestamp(): number | null;
    /**
     * Date object of how much ms is left until the ban expires
     */
    get expiresIn(): Date | null;
    /**
     * The type of the ban
     */
    get type(): "other" | "bot_spam" | "abuse_harassment" | "child_pornography" | "hardcore" | "death_gore" | "hate_speech" | "threats_of_harm";
    /**
     * User that the ban belongs to
     */
    get user(): User;
}
//# sourceMappingURL=Ban.d.ts.map