import { APIContentCreator } from "@ifunny/ifunny-api-types";
import Client from "../client/Client";
import { Base } from "./Base";
import { User } from "./User";
export declare class Creator extends Base<APIContentCreator> {
    constructor(client: Client, payload: APIContentCreator);
    private _user;
    /**
     * The Content Creator's User Object
     */
    user(): Promise<User | null>;
    /**
     * The user ID of the Creator
     */
    get id(): string;
    /**
     * Is the creator banned
     */
    get isBanned(): boolean;
    /**
     * Is the creator blocked by the Client
     */
    get isBlocked(): boolean;
    /**
     * Is the creator a deleted user
     */
    get isDeleted(): boolean;
    /**
     * Is the creator subscribed to the Client
     */
    get isSubscriber(): boolean;
    /**
     * Is the Client subscribed to the Creator
     */
    get isSubscription(): boolean;
    /**
     * Is the Creator verified
     */
    get isVerified(): boolean;
    /**
     * The creators nick
     * @alias username
     */
    get nick(): string;
    /**
     * The creators username
     * @alias nick
     */
    get username(): string;
    /**
     * The creators nick color
     */
    get nickColor(): "55FF00" | "660000" | "ff3e52" | "a078f0" | "e0b400" | null;
    /**
     * The creators nums
     * @alias stats
     */
    get num(): import("@ifunny/ifunny-api-types").APIContentCreatorNum;
    /**
     * The creators stats
     * @alias num
     */
    get stats(): import("@ifunny/ifunny-api-types").APIContentCreatorNum;
    /**
     * The craetor's original nick
     */
    get originalNick(): string;
    /**
     * The creator's profile photo
     */
    get photo(): import("@ifunny/ifunny-api-types").APIProfilePhoto | null;
    /**
     * Total number of posts the creator has\
     * ? This isn't in Creator.num for some reason
     */
    get totalPosts(): number;
}
//# sourceMappingURL=Creator.d.ts.map